|
From: <smi...@us...> - 2004-01-13 13:52:11
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv10912/scripts
Modified Files:
build.sh prepare
Log Message:
replace kernel version output of uname to the version we use in the sources
Index: build.sh
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/build.sh,v
retrieving revision 1.68
retrieving revision 1.69
diff -u -d -r1.68 -r1.69
--- build.sh 12 Jan 2004 02:57:59 -0000 1.68
+++ build.sh 13 Jan 2004 13:52:08 -0000 1.69
@@ -254,6 +254,17 @@
export PATH=/usr/lib/distcc/bin:$PATH
fi
+ # reload settings
+ source settings
+
+ # fake uname to display another platform we want to compile the kernel for
+ # also make sure our kernel version is displayed
+ test -f /bin/uname.old || cp /bin/uname /bin/uname.old || exit 1
+ rm /bin/uname || exit 1
+ REALKERNEL=$(/bin/uname.old -r)
+ echo "uname.old \$* | sed -e 's/i.86/i$CONFIG_CPU/' | sed -e 's/$REALKERNEL/$KERNELVERSION/'" > /bin/uname || exit 1
+ chmod +x /bin/uname || exit 1
+
mkdir -p $WORKDIR/LOGS/$CMD || exit 1
for LINK in $( ls -v $DL_DIR/scripts/.buildorder/rc$LEVEL.d/S* 2> /dev/null)
Index: prepare
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/prepare,v
retrieving revision 1.32
retrieving revision 1.33
diff -u -d -r1.32 -r1.33
--- prepare 12 Jan 2004 02:57:59 -0000 1.32
+++ prepare 13 Jan 2004 13:52:08 -0000 1.33
@@ -76,6 +76,11 @@
ln -sf $KERNELDIR/include/asm-i386 /usr/include/asm || exit 1
ln -sf $KERNELDIR/include/asm-generic /usr/include/asm-generic || exit 1
ln -sf $KERNELDIR /usr/src/linux || exit 1
+
+ # make sure we can read out the kernel version
+ pushd $KERNELDIR
+ make include/linux/version.h || exit 1
+ popd
;;
build )
|